summaryrefslogtreecommitdiffstats
path: root/libraries/ORBit2
diff options
context:
space:
mode:
author Daniel Liljeqvist2010-05-11 14:56:11 +0200
committer Robby Workman2010-05-11 14:56:11 +0200
commit7e17b0e28287ae6fda086f90ec3ca649727f90c6 (patch)
tree3b95575d525eddca26029e85bba806c63f0d17db /libraries/ORBit2
parent08f76d09fc33208c7c586951113c01192467fad8 (diff)
downloadslackbuilds-7e17b0e28287ae6fda086f90ec3ca649727f90c6.tar.gz
libraries/ORBit2: Initial import
Diffstat (limited to 'libraries/ORBit2')
-rw-r--r--libraries/ORBit2/ORBit2.SlackBuild72
-rw-r--r--libraries/ORBit2/ORBit2.info8
-rw-r--r--libraries/ORBit2/README8
-rw-r--r--libraries/ORBit2/slack-desc11
4 files changed, 99 insertions, 0 deletions
diff --git a/libraries/ORBit2/ORBit2.SlackBuild b/libraries/ORBit2/ORBit2.SlackBuild
new file mode 100644
index 0000000000..90584a449a
--- /dev/null
+++ b/libraries/ORBit2/ORBit2.SlackBuild
@@ -0,0 +1,72 @@
+#!/bin/sh
+
+# Slackware build script for ORBit2
+
+# Copyright 2007 Daniel Liljeqvist (dasajev@gmail.com)
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+set -e
+
+PRGNAM=ORBit2
+VERSION=2.14.5
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $PRGNAM-$VERSION
+tar -xjvf $CWD/$PRGNAM-$VERSION.tar.bz2 || exit 1
+cd $PRGNAM-$VERSION || exit 1
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --disable-static
+
+make || exit 1
+make install-strip DESTDIR=$PKG || exit 1
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING COPYING.LIB ChangeLog HACKING MAINTAINERS NEWS \
+ README* TODO $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/ORBit2/ORBit2.info b/libraries/ORBit2/ORBit2.info
new file mode 100644
index 0000000000..903b36b08b
--- /dev/null
+++ b/libraries/ORBit2/ORBit2.info
@@ -0,0 +1,8 @@
+PRGNAM="ORBit2"
+VERSION="2.14.5"
+HOMEPAGE="http://www.gnome.org/projects/ORBit2/"
+DOWNLOAD="ftp://ftp.gnome.org/pub/GNOME/sources/ORBit2/2.14/ORBit2-2.14.5.tar.bz2"
+MD5SUM="5b3ca3d7ed13a76c9e7bb4a890fe68af"
+MAINTAINER="Daniel Liljeqvist"
+EMAIL="dasajev@gmail.com"
+APPROVED="robw810"
diff --git a/libraries/ORBit2/README b/libraries/ORBit2/README
new file mode 100644
index 0000000000..03e90139b4
--- /dev/null
+++ b/libraries/ORBit2/README
@@ -0,0 +1,8 @@
+ORBit is a high-performance CORBA (Common Object Request Broker
+Architecture) ORB (object request broker). It allows programs to
+send requests and receive replies from other programs, regardless
+of the locations of the two programs. CORBA is an architecture that
+enables communication between program objects, regardless of the
+programming language they're written in or the operating system they
+run on.
+
diff --git a/libraries/ORBit2/slack-desc b/libraries/ORBit2/slack-desc
new file mode 100644
index 0000000000..adfd6e5b63
--- /dev/null
+++ b/libraries/ORBit2/slack-desc
@@ -0,0 +1,11 @@
+ORBit2: ORBit2 (CORBA ORB library)
+ORBit2:
+ORBit2: ORBit is a high-performance CORBA (Common Object Request Broker
+ORBit2: Architecture) ORB (object request broker). It allows programs to
+ORBit2: send requests and receive replies from other programs, regardless
+ORBit2: of the locations of the two programs. CORBA is an architecture that
+ORBit2: enables communication between program objects, regardless of the
+ORBit2: programming language they're written in or the operating system they
+ORBit2: run on.
+ORBit2:
+ORBit2: